package com.dayou.service;
import com.dayou.entity.ItemUserLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ItemLogCollectVO;
import com.dayou.vo.ItemUserLogVO;
import com.dayou.vo.LogEcharsVO;
import com.dayou.vo.LogStatVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 项目用户日志 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface IItemUserLogService extends IService<ItemUserLog> {

        Page<ItemUserLogVO> selectPage(Page page,ItemUserLogVO itemUserLogVO);

        ItemUserLogVO detail(Long id);

        Boolean add(ItemUserLog itemUserLog);

        Boolean update(ItemUserLog itemUserLog);

        Boolean delete(Long id);

    List<ItemLogCollectVO> logCollect(Long departmentId, Boolean scope, Long itemId, LocalDate startDate, LocalDate endDate);

    LogEcharsVO getLogEchars();

    LogStatVO logStat();
}
